Subject: Re: [GSoC PATCH] promisor-remote: fix promisor.quiet to use the correct repository

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Apr 2026 10:39:21 -0700

Trieu Huynh <[email-masked]> writes:

> On Thu, Apr 09, 2026 at 12:34:47PM +0800, Tian Yuchen wrote:
>> On 4/9/26 02:23, Junio C Hamano wrote:
>> 
>> > FWIW, I didn't see it fail in my local environment (both in 'seen'
>> > and also standalone) or at GitHub CI (in 'seen'), so it is a bit
>> > hasty to conclude that the patch was sent without proper testing.
>> 
>> You’re right, I was a bit hasty.
>> 
>> > I wonder what is different in _your_ environment (note, I am not
>> > saying your environment is _wrong_.  It is just different, perhaps
>> > the compiler I use and your build environment may align things
>> > differently, or perhaps on-stack "uninitialied" pieces of memory
>> > happen to have different values that the code is reading that causes
>> > different behaviours---in which case it is the code that is wrong.
>> > Asking for environment differences is the first step to figure out
>> > what incorrect environment dependencies the code has).
>> > 
>> 
>> ---
>> 
>> git version 2.43.0
>> cpu: x86_64
>> no commit associated with this build
>> sizeof-long: 8
>> sizeof-size_t: 8
>> 
>> Using built-in specs.
>> COLLECT_GCC=gcc
>> COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-linux-gnu/13/lto-wrapper
>> OFFLOAD_TARGET_NAMES=nvptx-none:amdgcn-amdhsa
>> OFFLOAD_TARGET_DEFAULT=1
>> Target: x86_64-linux-gnu
>> Configured with: ../src/configure -v --with-pkgversion='Ubuntu
>> 13.3.0-6ubuntu2~24.04.1'
>> --with-bugurl=file:///usr/share/doc/gcc-13/README.Bugs
>> --enable-languages=c,ada,c++,go,d,fortran,objc,obj-c++,m2 --prefix=/usr
>> --with-gcc-major-version-only --program-suffix=-13
>> --program-prefix=x86_64-linux-gnu- --enable-shared --enable-linker-build-id
>> --libexecdir=/usr/libexec --without-included-gettext --enable-threads=posix
>> --libdir=/usr/lib --enable-nls --enable-bootstrap --enable-clocale=gnu
>> --enable-libstdcxx-debug --enable-libstdcxx-time=yes
>> --with-default-libstdcxx-abi=new --enable-libstdcxx-backtrace
>> --enable-gnu-unique-object --disable-vtable-verify --enable-plugin
>> --enable-default-pie --with-system-zlib --enable-libphobos-checking=release
>> --with-target-system-zlib=auto --enable-objc-gc=auto --enable-multiarch
>> --disable-werror --enable-cet --with-arch-32=i686 --with-abi=m64
>> --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-offload-targets=nvptx-none=/build/gcc-13-EldibY/gcc-13-13.3.0/debian/tmp-nvptx/usr,amdgcn-amdhsa=/build/gcc-13-EldibY/gcc-13-13.3.0/debian/tmp-gcn/usr
>> --enable-offload-defaulted --without-cuda-driver --enable-checking=release
>> --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
>> --with-build-config=bootstrap-lto-lean --enable-link-serialization=2
>> Thread model: posix
>> Supported LTO compression algorithms: zlib zstd
>> gcc version 13.3.0 (Ubuntu 13.3.0-6ubuntu2~24.04.1)
>> 
>> Linux malon-Yoga-14sARE-2020 6.14.0-37-generic #37~24.04.1-Ubuntu SMP
>> PREEMPT_DYNAMIC Thu Nov 20 10:25:38 UTC 2 x86_64 x86_64 x86_64 GNU/Linux
>> 
>> ---
>> 
>> By the way, I find this bit of code rather confusing to me:
>> 
>> > +	GIT_TRACE2_EVENT="$(pwd)/pc-quiet-trace" \
>> > +		git -C super-work grep --cached --recurse-submodules "world" \
>> > +		2>/dev/null &&
>> > +	grep negotiationAlgorithm pc-quiet-trace | grep -e --quiet
>> 
>> Is this grep pattern correct?
>> 
> AFAICT, this intent is to check that "--quiet" appears as an argument
> in the trace2 event that contains "negotiationAlgorithm". That said,
> the "-e" flag tells grep to treat the next argument as the search
> pattern, so "grep -e --quiet" searches for the literal string "--quiet"
> rather than grep misinterpreting as one of its own options.
>
> BRs,
> Trieu Huynh
>> Thanks, Yuchen

The discussion thread stalled at this point.  Are we happy with the
proposed changes?

Thanks.